<?php
/**
* @package		UserPoints for Joomla 4.x
* @copyright	Copyright (C) 2015-2016. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Component\ComponentHelper;

if ($params->get('showzero',0) OR $points) {
    $formatpoints = getFormattedPoints($points);
    $showvalue = $params->get('buyvalue', 0);
    $currency = $params->get('currency', '');
    $points_per_unit = ComponentHelper::getParams('com_userpoints')->get('Points_per_unit', 0);
    if ($showvalue AND $points_per_unit AND $currency) {
        $vtext = sprintf(Text::_('AUP_PURCHASE_POINTS_FOR_UNIT_SHORT'), $currency, $points_per_unit);
        $valuetext = <<<VALUE
            
        <p>$vtext</p>
            
VALUE;
    
    }
    else {
        $valuetext = '';
    }
    $f = $params->get('format', '1');
    $maintext = Text::_('AUP_MYPOINTS');
    echo <<<MY_POINTS
    
    <div class="current_tokens$moduleclass_sfx">
        <p>$maintext</p>    
        <h$f>$formatpoints</h$f>
        <p>$valuetext</p>
    </div>
            
MY_POINTS;
    
}

